Billing Policy Environment - Add Billing Policy Environment
Link billing policy ID with environments.
POST https://api.powerplatform.com/licensing/billingPolicies/{billingPolicyId}/environments/add?api-version=2024-10-01
URI Parameters
| Name | In | Required | Type | Description |
|---|---|---|---|---|
|
billing
|
path | True |
string |
The billing policy ID. |
|
api-version
|
query | True |
string |
The API version. |
Request Body
| Name | Type | Description |
|---|---|---|
| environmentIds |
string[] |
Responses
| Name | Type | Description |
|---|---|---|
| 200 OK |
Success |
|
| 400 Bad Request |
Bad Request |
|
| 401 Unauthorized |
Unauthorized |
|
| 403 Forbidden |
Forbidden |
|
| 404 Not Found |
Not Found |
Security
oauth2
Microsoft Entra ID OAuth2
Type:
oauth2
Flow:
implicit
Authorization URL:
https://login.microsoftonline.com/common/oauth2/authorize?resource=https://api.powerplatform.com
Scopes
| Name | Description |
|---|---|
| .default | .default |
Definitions
BillingPolicyEnvironmentAddRequestModel
| Name | Type | Description |
|---|---|---|
| environmentIds |
string[] |